Problems switching to gradle 2.0.4

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Problems switching to gradle 2.0.4

Alexander von Zitzewitz
I am working on Mac OSX Mountain-Lion with the following environment:

$ gradle --version

------------------------------------------------------------
Gradle 1.2
------------------------------------------------------------

Gradle build time: Wednesday, September 12, 2012 10:46:02 AM UTC
Groovy: 1.8.6
Ant: Apache Ant(TM) version 1.8.4 compiled on May 22 2012
Ivy: 2.2.0
JVM: 1.7.0_07 (Oracle Corporation 23.3-b01)
OS: Mac OS X 10.8.1 x86_64


When trying to run gradle on my project I am getting the following exception:

Caused by: java.lang.NoClassDefFoundError: org/codehaus/groovy/transform/powerassert/ValueRecorder
at JavaPG.apply(JavaPG.groovy:44)
at JavaPG.apply(JavaPG.groovy)
at org.gradle.api.internal.plugins.DefaultProjectsPluginContainer.providePlugin(DefaultProjectsPluginContainer.java:107) 

My master build script looks like that:

buildscript
{
    repositories
    {
        mavenLocal()
        mavenCentral()
        mavenRepo url: 'http://maven.hello2morrow.com/repository'
    }
    dependencies
    {
        classpath group: 'com.hello2morrow', name: 'gradle-javapg', version: '1.18'
    }
}

subprojects
{
    apply plugin: "java"
    apply plugin: "groovy"
    apply plugin: "idea"
    apply plugin: JavaPG    

    

    sourceCompatibility = 1.7

    

    repositories
    {
        mavenLocal()
        mavenRepo url: "http://maven.hello2morrow.com/repository"
        mavenCentral()
    }

    dependencies 
    {
        compile fileTree(dir: '../com.hello2morrow.ext.slf4j/lib', include: '*.jar')
        compile fileTree(dir: '../com.hello2morrow.ext.truezip/lib', include: '*.jar')
        groovy localGroovy()
        testCompile group: 'junit', name: 'junit', version: '4.7'
    }

    group = "com.hello2morrow"
    version = "1.0.0"
}

I am absolutely clueless how to fix that problem. Thanks for any help

Best regards

Alexander von Zitzewitz

hello2morrow Inc.
1 (877) 294-6327



Reply | Threaded
Open this post in threaded view
|

Re: Problems switching to gradle 2.0.4

Alexander von Zitzewitz
Just for the record - the problem was caused by groovy backward compatibility issues.

I had to recompile all the plugins with groovy 1.8.6 and everything was working fine.

Regards

Alexander

On Sep 25, 2012, at 2:58 PM, Alexander von Zitzewitz <[hidden email]> wrote:

I am working on Mac OSX Mountain-Lion with the following environment:

$ gradle --version

------------------------------------------------------------
Gradle 1.2
------------------------------------------------------------

Gradle build time: Wednesday, September 12, 2012 10:46:02 AM UTC
Groovy: 1.8.6
Ant: Apache Ant(TM) version 1.8.4 compiled on May 22 2012
Ivy: 2.2.0
JVM: 1.7.0_07 (Oracle Corporation 23.3-b01)
OS: Mac OS X 10.8.1 x86_64


When trying to run gradle on my project I am getting the following exception:

Caused by: java.lang.NoClassDefFoundError: org/codehaus/groovy/transform/powerassert/ValueRecorder
at JavaPG.apply(JavaPG.groovy:44)
at JavaPG.apply(JavaPG.groovy)
at org.gradle.api.internal.plugins.DefaultProjectsPluginContainer.providePlugin(DefaultProjectsPluginContainer.java:107) 

My master build script looks like that:

buildscript
{
    repositories
    {
        mavenLocal()
        mavenCentral()
        mavenRepo url: 'http://maven.hello2morrow.com/repository'
    }
    dependencies
    {
        classpath group: 'com.hello2morrow', name: 'gradle-javapg', version: '1.18'
    }
}

subprojects
{
    apply plugin: "java"
    apply plugin: "groovy"
    apply plugin: "idea"
    apply plugin: JavaPG    
    
    sourceCompatibility = 1.7
    
    repositories
    {
        mavenLocal()
        mavenRepo url: "http://maven.hello2morrow.com/repository"
        mavenCentral()
    }

    dependencies 
    {
        compile fileTree(dir: '../com.hello2morrow.ext.slf4j/lib', include: '*.jar')
        compile fileTree(dir: '../com.hello2morrow.ext.truezip/lib', include: '*.jar')
        groovy localGroovy()
        testCompile group: 'junit', name: 'junit', version: '4.7'
    }

    group = "com.hello2morrow"
    version = "1.0.0"
}

I am absolutely clueless how to fix that problem. Thanks for any help

Best regards

Alexander von Zitzewitz

hello2morrow Inc.
1 (877) 294-6327




Best regards

Alexander von Zitzewitz

hello2morrow Inc.
1 (877) 294-6327